From f9493752618897707ec09cd83bf3ba659ee6e675 Mon Sep 17 00:00:00 2001
From: Remy DeCausemaker <decause@redhat.com>
Date: Jun 04 2015 19:18:32 +0000
Subject: [PATCH 58/254] Copy the dummy widget, make it an About widget


---

diff --git a/hubs/widgets/about.py b/hubs/widgets/about.py
new file mode 100644
index 0000000..d5f8c7c
--- /dev/null
+++ b/hubs/widgets/about.py
@@ -0,0 +1,21 @@
+from hubs.widgets.chrome import panel
+from hubs.widgets.base import argument
+
+import jinja2
+
+import hubs.validators as validators
+
+
+template = jinja2.Template("{{text}} decause was here")
+chrome = panel("This is a dummy widget")
+
+
+@argument(name="text", default="Lorem ipsum dolor...",
+          validator=validators.text,
+          help="Some dummy text to display.")
+def data(session, widget, text):
+    return dict(text=text)
+
+
+def should_invalidate(message, session, widget):
+    raise NotImplementedError

